function[imf] = DCTav(im1,im2,bs)
% DCT based image fusion by averaging (eq. 5)
% by VPS Naidu, MSDF Lab
[m,n] = size(im1);
for i=1:bs:m
    for j=1:bs:n
        cb1 = im1(i:i+bs-1,j:j+bs-1);
        cb2 = im2(i:i+bs-1,j:j+bs-1);
        CB1 = dct2(cb1);
        CB2 = dct2(cb2);
        CBF = 0.5*(CB1+CB2);
        CBF(1,1)=0.5*(CB1(1,1)+CB2(1,1));
        cbf = idct2(CBF);
        imf(i:i+bs-1,j:j+bs-1)=cbf;
    end
end